Package com.independentsoft.office.drawing

# Enum Class TextHorizontalOverflowType

java.lang.Object
java.lang.Enum<TextHorizontalOverflowType>
com.independentsoft.office.drawing.TextHorizontalOverflowType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextHorizontalOverflowType>`, `Constable`

public enum TextHorizontalOverflowType extends Enum<TextHorizontalOverflowType>
The Enum TextHorizontalOverflowType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLIP`
  `NONE`
  `OVERFLOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextHorizontalOverflowType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextHorizontalOverflowType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLIP

    public static final TextHorizontalOverflowType CLIP

  - ### OVERFLOW

    public static final TextHorizontalOverflowType OVERFLOW

  - ### NONE

    public static final TextHorizontalOverflowType NONE

- ## Method Details

  - ### values

    public static TextHorizontalOverflowType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextHorizontalOverflowType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null